Subject: Re: linux-next: build warning after merge of the i2c tree

From: Wolfram Sang <[email-masked]>
Date: Wed, 12 Jun 2019 15:24:29 +0200

On Wed, Jun 12, 2019 at 11:15:35PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Wed, 12 Jun 2019 09:32:29 -0300 Mauro Carvalho Chehab <[email-masked]> wrote:
> >
> > Em Wed, 12 Jun 2019 14:04:39 +0200
> > Wolfram Sang <[email-masked]> escreveu:
> > 
> > > > > OK, so that means I should send my pull request after yours in the next
> > > > > merge window? To avoid the build breakage?    
> > > > 
> > > > Either that or you can apply my patch on your tree before the
> > > > patch that caused the breakage. 
> > > > 
> > > > Just let me know what works best for you.    
> > > 
> > > Hmm, the offending patch is already in -next and I don't rebase my tree.
> > > So, I guess it's the merge window dependency then.
> > >   
> > Ok, I'll merge it through my tree then.
> 
> It should go into the i2c tree (since that is where the *warning* was
> introduced).  It is only a warning and there won't be many patches
> between the patch that introduced the warning and this one that fixes
> it.  This patch could then have a Fixes tag that makes sense i.e. it
> will reference a previous commit.

I can apply the patch to my i2c/for-next branch, but not to my
i2c/for-5.3 branch (which I merge into i2c/for-next). This way, the
warning will go away, but the media patch still goes to Linus via the
media tree. Is that suitable for you?